<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" version = "1.0" >
<xsl:output method="text" media-type="text/plain"/>

<!--
    munin listener count xslt stylesheet for Icecast 2.3.1 and above
    Copyright (C) 2008 Thomas B. Ruecker, tbr@ruecker-itk.de

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the
    Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
-->

<xsl:template match = "/icestats" >graph_title Listeners of <xsl:value-of select="server_id" /> on <xsl:value-of select="host" /> <!-- port  <xsl:value-of select="" />-->
graph_args --base 1000 --lower-limit 0 <!--upper-limit 100 --> <!-- limits have to be adjusted manually!  values not available from within icecast-->
graph_vlabel listeners
graph_category Other
graph_info This graph shows the listener counts for an icecast server.<!--</xsl:text>-->

<!--uncoment this if you want to override the host name within munin
host_name <xsl:value-of select="host" />
-->

<xsl:text>
</xsl:text>

<xsl:for-each select="source">
  <xsl:value-of select="translate(@mount, '/.-', '___')" />.label <xsl:value-of select="@mount" /><xsl:text>
</xsl:text>
  <xsl:value-of select="translate(@mount, '/.-', '___')" />.info <xsl:value-of select="@mount" /><xsl:text>
</xsl:text>
<!-- if unlimited then don't show those! -->
  <xsl:choose>
    <xsl:when test="max_listeners='unlimited'">
    </xsl:when>
    <xsl:otherwise>
      <!-- warnings will be set to 90% of max_listeners but with the decimals cut off -->
      <!-- munin has to be configured separately to send out warnings by email -->
      <xsl:value-of select="translate(@mount, '/.', '__')" />.warning <xsl:number value = "max_listeners*0.9" format = "1" /><xsl:text>
</xsl:text>
      <xsl:value-of select="translate(@mount, '/.', '__')" />.critical <xsl:value-of select="max_listeners" /><xsl:text>
</xsl:text>
    </xsl:otherwise>
  </xsl:choose>

  <xsl:value-of select="translate(@mount, '/.', '__')" />.type GAUGE<xsl:text>
</xsl:text>
  <xsl:value-of select="translate(@mount, '/.', '__')" />.draw LINE1<xsl:text>
</xsl:text>

</xsl:for-each>


</xsl:template>
</xsl:stylesheet>
